diff --git a/web/pgadmin/browser/server_groups/servers/__init__.py b/web/pgadmin/browser/server_groups/servers/__init__.py
index 6d972ee..25ec28a 100644
--- a/web/pgadmin/browser/server_groups/servers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/__init__.py
@@ -694,21 +694,18 @@ class ServerNode(PGChildNodeView):
                 manager.update(server)
                 conn = manager.connection()
 
-                have_password =  False
+                have_password = False
+                password = None
+                passfile = None
                 if 'password' in data and data["password"] != '':
                     # login with password
                     have_password = True
-                    passfile = None
                     password = data['password']
                     password = encrypt(password, current_user.password)
                 elif 'passfile' in data and data["passfile"] != '':
                     passfile = data['passfile']
                     setattr(server, 'passfile', passfile)
                     db.session.commit()
-                else:
-                    # Attempt password less login
-                    password = None
-                    passfile = None
 
                 status, errmsg = conn.connect(
                     password=password,
